Bug 1653435

Summary: KeePassXC database takes longer to open on F29
Product: [Fedora] Fedora Reporter: Sean Rhone <espionage724>
Component: keepassxcAssignee: Germano Massullo <germano.massullo>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 31CC: germano.massullo, nonamedotc
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: keepassxc-2.4.1-1.fc29 keepassxc-2.4.1-1.fc30 keepassxc-2.5.1-1.fc31 keepassxc-2.5.1-1.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-11-15 03:02:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Sean Rhone 2018-11-26 20:50:25 UTC
Description of problem: When opening my KeePass database with KeePassXC on Fedora 29, it takes about 5 seconds to open.


Version-Release number of selected component (if applicable): 2.3.4


How reproducible: Always


Steps to Reproduce:
1. Open KeePassXC
2. Open a 158kB KeePass database file with an Encryption Algorithm of "AES: 256-bit", a Key Derivation Function of "AES-KDF (KDBX 3.1)", and "9999999" Transform rounds
3. Type in the master password and open the database

Actual results: Database takes about 5 seconds to open


Expected results: Database should open in or about 1 second


Additional info: This seemingly only started happening in F29 (wasn't an issue on F28), and isn't an issue on openSUSE Tumbleweed (last tried a month ago), Ubuntu 18.10 (last tried about 2 weeks ago), and Windows 10 (last tried a few days ago), all with the same version of KeePassXC (2.3.4), same database file, and same computer/hardware

Comment 1 Germano Massullo 2018-11-26 20:57:07 UTC
Argon2 is the very best Key Derivation Function you should use instead of AES-KDF
Please show us the output of
# lscpu | grep name

Comment 2 Sean Rhone 2018-11-26 20:58:53 UTC
(In reply to Germano Massullo from comment #1)
> Argon2 is the very best Key Derivation Function you should use instead of
> AES-KDF
> Please show us the output of
> # lscpu | grep name

If I recall correctly, Argon2 was incompatible with a KeePass client I used on an iOS device, but I'll check into this again to be sure.

Intel(R) Core(TM) i5-7400 CPU @ 3.00GHz

Comment 3 Mukundan Ragavan 2018-11-26 23:20:27 UTC
Sean, instead of "9999999", what do you get when you benchmark? Does the number of rounds change? Any change in opening speed?

Comment 4 Sean Rhone 2018-11-27 12:07:57 UTC
(In reply to Mukundan Ragavan from comment #3)
> Sean, instead of "9999999", what do you get when you benchmark? Does the
> number of rounds change? Any change in opening speed?

The benchmark puts it around "3802281" (anywhere between 3300000 and 3900000) and and opening speed is faster (takes about a second)

Comment 5 Fedora Update System 2019-04-16 08:50:07 UTC
keepassxc-2.4.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2f1c978d25

Comment 6 Fedora Update System 2019-04-16 08:50:15 UTC
keepassxc-2.4.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae335ee0c3

Comment 7 Fedora Update System 2019-04-17 01:02:48 UTC
keepassxc-2.4.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae335ee0c3

Comment 8 Fedora Update System 2019-04-18 22:12:51 UTC
keepassxc-2.4.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2f1c978d25

Comment 9 Fedora Update System 2019-04-21 05:04:31 UTC
keepassxc-2.4.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-04-27 21:25:30 UTC
keepassxc-2.4.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Sean Rhone 2019-10-22 01:26:48 UTC
This is still seemingly a problem in F30 even with the latest KeePassXC package (keepassxc-2.4.3-6.fc30)

Under macOS, same KeePassXC version (2.4.3), if I do the 1-second benchmark, I get a "19063181" transform rounds (19M). If I do the benchmark on the same computer with F30, I get "3355855" (3M). If I keep the same 19M transform rounds on F30, it takes 5-7 seconds to load the database.

It seems like KeePassXC is either not using the CPU fully, or maybe not using AES-NI.

I currently have a i5-4278U CPU, and "aes" is advertised under lscpu.

Comment 12 Sean Rhone 2019-10-22 10:13:59 UTC
Under Ubuntu 19.10, KeePassXC 2.4.3 gets a Transform rounds of "22991543" (22M) with the 1-second benchmark, and also opens the 19M rounds database in about 1 second. So there is definitely something going on specifically with Fedora.

Comment 13 Germano Massullo 2019-10-23 08:44:05 UTC
I opened an upstream bugreport. Please add details there
https://github.com/keepassxreboot/keepassxc/issues/3657

Comment 14 Fedora Update System 2019-10-29 15:56:20 UTC
FEDORA-2019-c00509422e has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c00509422e

Comment 15 Fedora Update System 2019-10-29 15:56:21 UTC
FEDORA-2019-2dad0f65e5 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2dad0f65e5

Comment 16 Fedora Update System 2019-10-30 01:19:51 UTC
keepassxc-2.5.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c00509422e

Comment 17 Fedora Update System 2019-10-30 02:40:27 UTC
keepassxc-2.5.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2dad0f65e5

Comment 18 Sean Rhone 2019-10-30 18:05:19 UTC
Still a problem with keepassxc-2.5.0-1.fc31 on F31 (getting average transform rounds in the 3M range instead of near 20M)

Comment 19 Fedora Update System 2019-11-13 07:26:17 UTC
FEDORA-2019-8ca32a1664 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ca32a1664

Comment 20 Fedora Update System 2019-11-13 10:47:34 UTC
keepassxc-2.5.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3195095ccd

Comment 21 Fedora Update System 2019-11-13 10:53:37 UTC
keepassxc-2.5.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ca32a1664

Comment 22 Fedora Update System 2019-11-15 03:02:03 UTC
keepassxc-2.5.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-11-21 00:55:45 UTC
keepassxc-2.5.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.